Bug 480759 - forced to set ssl-set-email in answers file although it should default to admin-email
forced to set ssl-set-email in answers file although it should default to adm...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
: Triaged
Depends On:
Blocks: 462714 479461
  Show dependency treegraph
 
Reported: 2009-01-20 06:37 EST by Jan Hutař
Modified: 2014-05-09 06:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 06:37:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhn-installation.log from second run (comment #1) (39.27 KB, application/octet-stream)
2009-01-20 08:31 EST, Jan Hutař
no flags Details

  None (edit)
Description Jan Hutař 2009-01-20 06:37:55 EST
Description of problem:
I was forced to set ssl-set-email in answers file although it should default to admin-email


Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20081223.1 (x86_64)


How reproducible:
always


Steps to Reproduce:
1. # /mnt/.../install.pl --answer-file=answers.txt --non-interactive --disconnected --run-updater


Actual results:
...
** Database: Populating database.
** Database: Skipping database population.
* Setting up users and groups.
** GPG: Initializing GPG and importing key.
You must enter an email address.
The answer '' provided for 'Admin Email Address' is invalid.


Expected results:
Installation should proceed without need to set ssl-set-email in my answers.txt.


Additional info:
My answers.txt file:
# grep -e admin-email -e ssl-set-email /root/answers.txt
# admin-email = user@example.com, otheruser@example.com
admin-email = jhutar@redhat.com
# The email address for the SSL certificates.  Defaults to 'admin-email'.
# ssl-set-email =
Comment 1 Jan Hutař 2009-01-20 08:28:56 EST
When I ssl-set-email, installation continued, but I got:

# $SATELLITE_INSTALL/install.pl --answer-file=answers.txt --non-interactive --disconnected --run-updater --skip-db-install --skip-db-population
...
* Setting up users and groups.
** GPG: Initializing GPG and importing key.
* Performing initial configuration.
* Activating RHN Satellite.
No answer provided for 'Where is your satellite certificate file'

# grep satellite-cert-file answers.txt
# satellite-cert-file = /tmp/satcert.cert
satellite-cert-file = redhat-internal-devel.cert
# pwd
/root
# ls redhat-internal-devel.cert
redhat-internal-devel.cert

Is this another bug?

Regards,
Jan
Comment 2 Jan Hutař 2009-01-20 08:31:57 EST
Created attachment 329461 [details]
rhn-installation.log from second run (comment #1)
Comment 3 Jan Hutař 2009-01-22 06:18:12 EST
I see that in the Satellite-5.3.0-RHEL5-re20090119.1 as well (and just noticed installer returns 0 in that case, is that OK?):

# /mnt/redhat/devel/candidate-trees/Satellite-5.3.0-RHEL5-re20090119.1/x86_64/x86_64/install.pl --answer-file=answers.txt --non-interactive --disconnected --run-updater
* Starting the Red Hat Network Satellite installer.
* Performing pre-install checks.
* Pre-install checks complete.  Beginning installation.
* RHN Registration.
** Registration: Disconnected mode.  Not registering with RHN.
* Installing required packages.
The following packages from Red Hat Enterprise Linux that are not part
of the @base group have to be installed on this system for the installer
and the Satellite to operate correctly:

	java-1.4.2-gcj-compat
	tomcat5-jsp-2.0-api
	tomcat5-servlet-2.4-api

** Checking if yum is available ...
Installing packages. The log can be found in

	/var/log/rhn/rhn-installation.log

You can tail -f in another terminal to see the progress.
Running yum -y install java-1.4.2-gcj-compat tomcat5-jsp-2.0-api tomcat5-servlet-2.4-api
* Applying updates.
* Installing RHN packages.
* Now running spacewalk-setup.
* Setting up Oracle environment.
* Setting up database.
** Database: Installing the embedded database (not the schema).
** Database: Shutting down the database first.
** Database: Installing the database:
** Database: This is a long process that is logged in:
** Database:   /var/log/rhn/install_db.log
*** Progress: #############################################
** Database: Installation complete.
** Database: Setting up database connection.
** Database: Testing database connection.
** Database: Populating database.
*** Progress: ##################################################################
* Setting up users and groups.
** GPG: Initializing GPG and importing key.
You must enter an email address.
The answer '' provided for 'Admin Email Address' is invalid.
# echo $?
0
# grep -v -e '^#' -e '^$' answers.txt
admin-email =
rhn-username =
rhn-password =
rhn-http-proxy =
rhn-http-proxy-username =
rhn-http-proxy-password =
ssl-set-org =
ssl-set-org-unit = 
ssl-set-city =
ssl-set-state =
ssl-set-country =
ssl-password = 
satellite-cert-file =
admin-email = jhutar@redhat.com
ssl-set-org = Systems Management QA Brno
ssl-set-city = Brno
ssl-set-country = CZ
ssl-password = reset
satellite-cert-file = redhat-internal-devel.cert
rhn-parent = satellite.rhn.webqa.redhat.com
Comment 4 Jan Pazdziora 2009-02-12 10:15:53 EST
Reassigning to Jesus, the new Installer component owner.
Comment 6 Clifford Perry 2014-05-09 06:37:50 EDT
We have not addressed this specific bug in over 5 years years. This does not seem to have an active customer case with the bug report either. Closing out as wontfix to clear from backlog. 

Please re-open if you disagree and wish further review.

Cliff

Note You need to log in before you can comment on or make changes to this bug.